Name: gnomint
Version: 1.2.1
Release: alt2
Summary: is an X.509 Certification Authority management tool
License: GPL
Group: Security/Networking
URL: http://gnomint.sourceforge.net
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: %name-%version.tar

BuildRequires: GConf intltool libGConf-devel libgcrypt-devel libgnutls-devel libgtk+2-devel libreadline-devel libsqlite3-devel tzdata

%description
gnoMint allows any person to run a Certification Authority, creating
certificates for any purpose: e-mail signing and/or crypting; TLS
authentication through web, VPNs or other protocols; secured
web-servers...
Its development was started due to the lack of a 'just-works' CA
software: creating a CA from zero, through open-source command-line
utilities, was possible, but was unconfortable to remember all the
neccessary parameters. And you had to create a difficult configuration
file. So here it is gnoMint, and it will help you all systems and
network administrators to deploy a Certification Authority very easily.
Currently, gnoMint allows:

 * Creating all the infrastructure to keep and run a Certification
   Authority, saved in only one file.
 * Create Certification Signing Requests, allowing to export them to PKCS#8
   files, so they can be send to other CAs.
 * Create X.509 certificates, with a usual set of subject-parameters.
 * Export certificates and private keys to PEM files, so they can be
   used by external applications.
 * For each CA, establish a set of policies for certificate generation.
 * Import CSRs made by other applications
 * Export PKCS#12 structures, so the certificates can be imported easily
   by web and mail clients.
 * Revoke certificates, and generate the corresponding CRLs
 * Allow the possibility of keeping the CA private key, or other private
   keys, in external files or devices (as USB drives)
 * Allow the management of a whole hierarchy of CAs, with their
   respectives certificates.
 * Import pre-existing Certification Authorities, with all their data.
 * Allow an easy CA operation from command-line tools, for batch
   certificate creation, or integration with other utilities.

#Summary(ru_RU.UTF-8): инструмент управления Центром Сертификации X.509
%description -l ru_RU.UTF-8
gnoMint позволяет запустить свой Центр Сертификации, создавая
сертификаты для любого назначения: цифровой подписи и/или шифрования
сообщений эл. почты; TLS аутентификации через веб, VPN и других
протоколов, защищённых веб-серверов...
Его разработка была начата вследствии отсутствия 'работающих из коробки'
CA программ. Создания CA с нуля через открытые командные утилиты вполне
возможно,
но неудобно запоминать все необходимые параметры, также требуется
создавать сложные конфигурационные файлы. Поэтому создан gnoMint, он
поможет системным и сетевым администраторам очень легко разворачивать
Центр Сертфикации. На данный момент gnoMint позволяет:

 * Создавать всю инфраструктуру для поддержания и запуска Центра
   Сертификации, сохранённой только в одном файле.
 * Создавать Запросы на подпись Сертификата, позволяя экспортировать их
   в файлы формата PKCS#8, т.о. они могут быть переданы в другие CA.
 * Создавать X.509 сертификаты с обычным набором заголовочных параметров
 * Экспорт сертификатов и закрытых ключей в PEM файлы, т.о. они могут
   быть использованы во внешних приложениях.
 * Для каждого CA устанавливается набор политик для генерации
   сертификатов.
 * Импорт CSR делается другими приложениями
 * Экспорт PKCS#12 структур, т.о. сертификаты могут быть легко
   импортированы веб и почтовыми клиентами.
 * Отзыв сертификатов и создание соотвествующего CRL.
 * Позволяет хранить закрытые ключи CA или других закрытых ключей во
   внешних файлах или носителях (таких как флэш-диски).
 * Позволяет управлять целой иерархией CA со своими сертификатами.
 * Импорт существующих Центров Сертификации со своими данными.
 * Позволяет легко осуществлять CA-операции из коммандной строки для
   пакетного создания сертификатов или интеграции с другими утилитами.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall_std
mkdir -p %buildroot%_liconsdir
mv %buildroot%_pixmapsdir/* %buildroot%_liconsdir/
%find_lang %name

%files -f %name.lang
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%{name}*
%_desktopdir/*
%_datadir/%name
%_datadir/mime/packages/%name.xml
%_liconsdir/*
%doc AUTHORS ChangeLog COPYING MAINTAINERS TODO

%changelog
* Wed Mar 09 2011 Vladimir Lettiev <crux@altlinux.ru> 1.2.1-alt2
- updated buildrequires
- minor spec cleanup

* Wed Aug 18 2010 Vladimir Lettiev <crux@altlinux.ru> 1.2.1-alt1
- New version 1.2.1

* Wed Aug 11 2010 Vladimir Lettiev <crux@altlinux.ru> 1.2.0-alt1
- New version 1.2.0

* Sun Jan 17 2010 Vladimir Lettiev <crux@altlinux.ru> 1.1.0-alt1
- New version 1.1.0

* Wed Jun 03 2009 Vladimir Lettiev <crux@altlinux.ru> 0.9.9-alt1.r322
- r322
- translation moved to upstream (droped patch1 and source2)
- fix build with new libgnutls 2.8.x
  + fix usage of gnutls_x509_crq_get_key_id()
  + commented out unknown member of TlsCsr struct

* Tue Apr 07 2009 Vladimir Lettiev <crux@altlinux.ru> 0.9.9-alt1.r314
- initial build

